"use strict";
/**
 * MIT License
 *
 * Copyright (c) 2017 Douglas Nassif Roma Junior
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Dialog_1 = __importDefault(require("./Dialog"));
const ProgressDialog = ({ message, messageStyle, activityIndicatorColor, activityIndicatorSize, activityIndicatorStyle, ...others }) => {
    return (react_1.default.createElement(Dialog_1.default, { ...others },
        react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row', alignItems: 'center' } },
            react_1.default.createElement(react_native_1.ActivityIndicator, { animating: true, color: activityIndicatorColor, size: activityIndicatorSize, style: activityIndicatorStyle }),
            react_1.default.createElement(react_native_1.Text, { style: [
                    { marginLeft: 20, fontSize: 18, color: '#00000089' },
                    messageStyle,
                ] }, message))));
};
ProgressDialog.defaultProps = {
    ...Dialog_1.default.defaultProps,
};
exports.default = ProgressDialog;
//# sourceMappingURL=ProgressDialog.js.map